﻿using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;

namespace Kehyeedra3.Migrations
{
    public partial class FarmingA : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<ulong>(
                name: "OwnerId",
                table: "Users",
                nullable: false,
                defaultValue: 0ul);

            migrationBuilder.CreateTable(
                name: "Farming",
                columns: table => new
                {
                    Id = table.Column<ulong>(nullable: false)
                        .Annotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn),
                    Tier = table.Column<int>(nullable: false),
                    EmployeeCount = table.Column<int>(nullable: false),
                    Lvl = table.Column<ulong>(nullable: false),
                    Xp = table.Column<ulong>(nullable: false),
                    FXp = table.Column<ulong>(nullable: false),
                    TXp = table.Column<ulong>(nullable: false),
                    CropInventory = table.Column<string>(type: "LONGTEXT", nullable: true),
                    PlotInventory = table.Column<string>(type: "LONGTEXT", nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Farming", x => x.Id);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Farming");

            migrationBuilder.DropColumn(
                name: "OwnerId",
                table: "Users");
        }
    }
}
