﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Kehyeedra3.Services.Models
{
    public class BattleFishCharacters
    {
        public enum Character
        {
            Null = 0,
            HoboShrimp = 1,
            PocketSalmon = 2,
            Holder2 = 3,
            Holder3 = 4
        }

        public class BFCharacter
        {
            public Character Id;
            public string Name;
            public string Emote;
            public string Intro;

            public int Attack;
            public int Defense;

            public int BaseHealth;
            public int BaseActionPoints;

            public int DodgeRate;
        }
        public static List<BFCharacter> GetBFCharList()
        {
            return new List<BFCharacter>
            {
                new BFCharacter()
                {
                    Id = Character.Null,
                    Name = "Secret Squirrel",
                    Emote = "<:skirel:762643322254393364>",
                    Intro = "He looks defeated.",

                    Attack = 5,
                    Defense = 0,

                    BaseHealth = 25,
                    BaseActionPoints = 0,

                    DodgeRate = 0
                },
                new BFCharacter()
                {
                    Id = Character.HoboShrimp,
                    Name = "Hobo Shrimp",
                    Emote = "<:missingLeg:682586847830081551>",
                    Intro = "He's been a little down on his luck lately.",

                    Attack = 5,
                    Defense = 5,

                    BaseHealth = 5,
                    BaseActionPoints = 5,

                    DodgeRate = 5
                },
                new BFCharacter()
                {
                    Id = Character.PocketSalmon,
                    Name = "Pocket Salmon",
                    Emote = "<:missingLeg:682586847830081551>",
                    Intro = "I pray your pockets don't have holes.",

                    Attack = 5,
                    Defense = 5,

                    BaseHealth = 5,
                    BaseActionPoints = 5,

                    DodgeRate = 5
                }
            };
        }
    }
}
