﻿using Microsoft.EntityFrameworkCore;
using Kehyeedra3.Services.Models;

namespace Kehyeedra3
{
    class ApplicationDbContext : DbContext
    {
        public ApplicationDbContext(DbContextOptions<ApplicationDbContext> options) : base(options)
        { }

        public DbSet<User> Users { get; set; }
        public DbSet<Reminder> Reminders { get; set; }
        public DbSet<Fishing> Fishing { get; set; }
        public DbSet<StoreFront> StoreFronts { get; set; }
        public DbSet<User.BattleFishObject> Battlefish { get; set; }
        public DbSet<Mining> Mining { get; set; }
        public DbSet<Farming> Farming { get; set; }
        public DbSet<Guild> Guilds { get; set; }
    }
}
